DCMTK - Feature #812

Update list of supported TLS ciphersuites in DCMTK
2018-02-13 10:27 - Marco Eichelberg

Status: Closed Start date: 2018-02-13
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Library and Apps Estimated time: 0:00 hour
Target version: 3.6.4

Module: dcmtls, dcmnet et al. Compiler:

Operating System:

Description
The list of supported ciphersuites in DCMTK is rather outdated and should be updated to reflect current OpenSSL releases.

Related issues:
Related to DCMTK - Conformance #792: Implement support for the new TLS Securi... Closed 2017-09-26

History

#1 - 2018-02-13 12:45 - J6rg Riesmeier
- Category set to Library and Apps

- Module changed from demtls to demtls, decmnet et al.

It would also be nice to have a --list-ciphers option for the various TLS-enabled command line tools. This would make it easier to check which
ciphersuites are actually available.

#2 - 2018-04-25 10:00 - Jorg Riesmeier
- Related to Conformance #792: Implement support for the new TLS Security Profiles (Supplement 204) added

#3 - 2018-05-02 11:33 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 0 to 100

Closed by commits #bd4f159 to #e54a53a.
